step_invlogit {recipes} | R Documentation

## Inverse Logit Transformation

### Description

`step_invlogit` creates a specification of a recipe step that will transform the data from real values to be between zero and one.

### Usage

    step_invlogit(recipe, ..., role = NA, trained = FALSE,
      columns = NULL, skip = FALSE, id = rand_id("invlogit"))

    ## S3 method for class 'step_invlogit'
    tidy(x, ...)

### Arguments

`recipe` | A recipe object. The step will be added to the sequence of operations for this recipe.
`...` | One or more selector functions to choose which variables are affected by the step. See `selections()` for more details. For the `tidy` method, these are not currently used.
`role` | Not used by this step since no new variables are created.
`trained` | A logical to indicate if the quantities for preprocessing have been estimated.
`columns` | A character string of variable names that will be populated (eventually) by the `terms` argument.
`skip` | A logical. Should the step be skipped when the recipe is baked by `bake.recipe()`? While all operations are baked when `prep.recipe()` is run, some operations may not be able to be conducted on new data (e.g. processing the outcome variable(s)). Care should be taken when using `skip = TRUE` as it may affect the computations for subsequent operations
`id` | A character string that is unique to this step to identify it.
`x` | A `step_invlogit` object.

### Details

The inverse logit transformation takes values on the real line and translates them to be between zero and one using the function `f(x) = 1/(1+exp(-x))`.

### Value

An updated version of `recipe` with the new step added to the sequence of existing steps (if any). For the `tidy` method, a tibble with columns `terms` which is the columns that will be affected.

### See Also

`step_logit()` `step_log()` `step_sqrt()` `step_hyperbolic()` `recipe()` `prep.recipe()` `bake.recipe()`

### Examples

    data(biomass)

    biomass_tr <- biomass[biomass$dataset == "Training",]
    biomass_te <- biomass[biomass$dataset == "Testing",]

    rec <- recipe(HHV ~ carbon + hydrogen + oxygen + nitrogen + sulfur,
                  data = biomass_tr)

    ilogit_trans <- rec  %>%
      step_center(carbon, hydrogen) %>%
      step_scale(carbon, hydrogen) %>%
      step_invlogit(carbon, hydrogen)

    ilogit_obj <- prep(ilogit_trans, training = biomass_tr)

    transformed_te <- bake(ilogit_obj, biomass_te)
    plot(biomass_te$carbon, transformed_te$carbon)

[Package recipes version 0.1.5 Index]